Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.axis
Class ValueTick

    java.lang.Object
      org.jfree.chart.axis.Tick
          org.jfree.chart.axis.ValueTick

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  DateTick, NumberTick

public abstract class ValueTick
extends Tick

A value tick.

See Also:
  Serialized Form

Constructor Summary
`ValueTick(double value, java.lang.String label, org.jfree.ui.TextAnchor textAnchor, org.jfree.ui.TextAnchor rotationAnchor, double angle)` Creates a new value tick.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Tests this tick for equality with an arbitrary object.
`double` | `getValue()` Returns the value.

Methods inherited from class org.jfree.chart.axis.Tick
`clone, getAngle, getRotationAnchor, getText, getTextAnchor, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueTick

    public ValueTick(double value,
                     java.lang.String label,
                     org.jfree.ui.TextAnchor textAnchor,
                     org.jfree.ui.TextAnchor rotationAnchor,
                     double angle)

  Creates a new value tick.

Parameters:
  `value` - the value.
  `label` - the label.
  `textAnchor` - the part of the label that is aligned to the anchor point.
  `rotationAnchor` - defines the rotation point relative to the label.
  `angle` - the rotation angle (in radians).

Method Detail

### getValue

    public double getValue()

  Returns the value.

  Returns:
    the value.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this tick for equality with an arbitrary object.

  Overrides:
    `equals` in class `Tick`
  Parameters:
    `obj` - the object to test (`null` permitted).
  Returns:
    A boolean.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD